### Method

# WebKit CookieManager replace_cookies_finish

since: 2.42

#### Declaration [src]

    gboolean
    webkit_cookie_manager_replace_cookies_finish (
      WebKitCookieManager* cookie_manager,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_cookie_manager_replace_cookies().

Available since: 2.42

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the cookies were added or `FALSE` in case of error.